de.dhbwstuttgart.typeinference

## Class KarthesischesProdukt

- java.lang.Object
- - de.dhbwstuttgart.typeinference.KarthesischesProdukt

    public abstract class KarthesischesProdukt
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`KarthesischesProdukt()`

### Method Summary

All Methods Static Methods Concrete Methods
`static <M> Menge<Menge<M>>` `berechneKarthesischesProdukt(Menge<Menge<M>> m1)`
`private static <M> Menge<Menge<M>>` `berechneKarthesischesProdukt(Menge<Menge<M>> m1, Menge<Menge<M>> result)`
`private static <M> Menge<Menge<M>>` `karthesischesProdukt(Menge<M> m1, Menge<M> m2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KarthesischesProdukt

    public KarthesischesProdukt()

### Method Detail

#### berechneKarthesischesProdukt

    public static <M> Menge<Menge<M>> berechneKarthesischesProdukt(Menge<Menge<M>> m1)

#### berechneKarthesischesProdukt

    private static <M> Menge<Menge<M>> berechneKarthesischesProdukt(Menge<Menge<M>> m1,
                                                                    Menge<Menge<M>> result)

#### karthesischesProdukt

    private static <M> Menge<Menge<M>> karthesischesProdukt(Menge<M> m1,
                                                            Menge<M> m2)